Bug 235151 - [GTK] Ensure all deprecated APIs removed from GTK 4 release
Summary: [GTK] Ensure all deprecated APIs removed from GTK 4 release
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: GTK4
  Show dependency treegraph
 
Reported: 2022-01-12 13:46 PST by Michael Catanzaro
Modified: 2022-05-26 19:12 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2022-01-12 13:46:00 PST
At the risk of pointing out the obvious: before releasing the first version with non-experimental GTK 4 support, we should make sure all deprecated APIs have been removed. This includes almost all of the DOM bindings, if those have not been disabled already.